GuideLab API

List archived patients

Returns paginated archived patients whose PII is shared through an active partnership or an explicit patient grant. Inaccessible patients are omitted. Supports search and clinic filtering. Lab-only endpoint.

GET
/archive/patients

Returns paginated archived patients whose PII is shared through an active partnership or an explicit patient grant. Inaccessible patients are omitted. Supports search and clinic filtering. Lab-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/archive/patients"
{  "data": [    {      "id": "string",      "clinicId": "string",      "firstName": "string",      "lastName": "string",      "fullName": "string",      "externalId": "string",      "clinic": null,      "orderCount": 0,      "createdAt": "string",      "archivedAt": "string",      "archivedByUser": null,      "archivedByUserNameMissing": true    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty
Empty